commit:     0906f554f8626b13cdcf477263b5c6c4dbca44d0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  3 10:00:33 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov  3 10:00:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0906f554

dev-ruby/stomp: add 1.4.8

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/stomp/Manifest           |  1 +
 dev-ruby/stomp/stomp-1.4.8.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/dev-ruby/stomp/Manifest b/dev-ruby/stomp/Manifest
index ee75769007f..42c8b0b6967 100644
--- a/dev-ruby/stomp/Manifest
+++ b/dev-ruby/stomp/Manifest
@@ -1 +1,2 @@
 DIST stomp-1.4.4.gem 93696 BLAKE2B 
c1647ba119946ed41d58b1fe08baae5fa54317e3ba4b4b33eef50b7ff588daaf2ecf89a45b21b3eac7969609337fc8b09d73ea7f54f40af6c4b2613cab686df7
 SHA512 
77c5a53b56177869beb9ff236405479d1fe48ba6841f42eefbd104a5e1b8f82584283c909bb2f6ec5a34ae99c0dfa91079d0716d1bef65db24c5b1414c1ed673
+DIST stomp-1.4.8.gem 97792 BLAKE2B 
d3a3ff9795adfe9b53a60a3fa9f18e9e96693882325475fba6629b2c4bb4cf3fc3d9bbd68277d6dc3e093ceaefb680a5f0365e89cd87fae187880c8b35ee022e
 SHA512 
6e5c0727d4b3853f90f8ec4450162b38f571dcd63b58a4d09c284f42f5b9ee884ee8a3b8d27c8d85f8a297337e0d6ed61538bafee840cfc26e15b15039e1e4c9

diff --git a/dev-ruby/stomp/stomp-1.4.8.ebuild 
b/dev-ruby/stomp/stomp-1.4.8.ebuild
new file mode 100644
index 00000000000..6564bcdb89c
--- /dev/null
+++ b/dev-ruby/stomp/stomp-1.4.8.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby bindings for the stomp messaging protocol"
+HOMEPAGE="https://github.com/stompgem/stomp";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       # Skip specs that hang the test run indefinitely, most likely
+       # because of rspec-mocks deprecation output
+       rm -f spec/connection_spec.rb || die
+}

Reply via email to